mlbench.simplex {mlbench} | R Documentation

## Corners of d-dimensional Simplex

### Description

The created data are `d`-dimensional spherical Gaussians with standard deviation `sd` and means at the corners of a `d`-dimensional simplex. The number of classes is `d+1`.

### Usage

    mlbench.simplex(n = 800, d = 3, sides = 1, sd = 0.1, center=TRUE)
    simplex(d, sides, center=TRUE)

### Arguments

`n` | number of patterns to create
`d` | dimensionality of simplex, default is 3
`sides` | lengths of the sides of the simplex, default is to create a unit simplex
`sd` | standard deviation
`center` | If `TRUE`, the origin is the center of gravity of the simplex. If `FALSE`, the origin is a corner of the simplex and all coordinates of the simplex are positive.

### Value

Returns an object of class `"mlbench.simplex"` with components

`x` | input values
`classes` | factor of length `n` with target classes

### Author(s)

Manuel Eugster and Sebastian Kaiser

### Examples

    p <- mlbench.simplex()
    plot(p)

    library("lattice")
    cloud(x.3~x.1+x.2, groups=classes, data=as.data.frame(p))

[Package mlbench version 2.1-1 Index]